{% extends 'base.html' %}

{% block title %}
    Account {{data.user.username}}
{% endblock %}

{% block content %}
    <div class="col">
        <a class="btn btn-warning" href="{% url 'update_account' data.pk %}">Edit</a>
        <a class="btn btn-danger" href="{% url 'delete_account' data.pk %}">Delete</a>
    </div>
    <div class="w-100"></div>
    <div class="card">
        {% if data.profpic %}
            <img class="card-img-top" src="{{data.profpic.url}}"/>
        {% endif %}
        <div class="card-body">
            <table class="table">
                <tbody>
                    <tr>
                        <td>Name</td><td>:</td><td>{{data.user.first_name}}</td>
                    </tr>
                    <tr>
                        <td>Phone</td><td>:</td><td>{{data.phone}}</td>
                    </tr>
                    <tr>
                        <td>Username</td><td>:</td><td>{{data}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <div class="w-100"></div>
    <div class="col">
        {% if data.eventinvolved_set.all %}
            <table class="table table-bordered">
                <thead class="thead-dark">
                    <tr>
                        <th>No</th>
                        <th>Event Name</th>
                        <th>Start</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item in data.get_events %}
                        <tr>
                            <td>{{forloop.counter}}</td>
                            <td><a href="{% url 'detail_event' item.event.pk %}">{{item.event.name}}</a></td>
                            <td>{{item.event.start}}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <h5>No events is joined</h5>
        {% endif %}
    </div>
{% endblock %}